<?php

include 'conexion.php';
$consulta = "SELECT id_tip_compra,nom_tip_compra FROM tipo_compra ORDER BY nom_tip_compra";
$resultado = $conexion->query($consulta);

while($fila = $resultado -> fetch_array()){
    $tipo_compra[] = array_map('utf8_encode', $fila);
}

echo json_encode($tipo_compra);
$resultado -> close();

?>